package com.bomostory.sceneeditmodule.navigationbar.actor

import android.graphics.drawable.Drawable
import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.actor_pose_item.view.*
import kotlinx.android.synthetic.main.item_actor.view.*

class ActorPoseAdapter(var data: ArrayList<String>, var onClickListeners: ArrayList<View.OnTouchListener>): RecyclerView.Adapter<ActorPoseAdapter.ViewHolder>() {


    override fun getItemCount(): Int {
        return data.size
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.bind(data?.get(position), onClickListeners[position])
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ActorPoseAdapter.ViewHolder {
        val v1 = LayoutInflater.from(parent.context).inflate(R.layout.actor_pose_item, parent, false)
        return ViewHolder(v1)
    }

    class ViewHolder (view : View) : RecyclerView.ViewHolder(view) {
        fun bind(ObjectResource: String, onClickListener: View.OnTouchListener) {
            itemView.iv_actor_pose_image.setImageDrawable(Drawable.createFromPath(ObjectResource))
            itemView.layout_actor_pose.setOnTouchListener(onClickListener)
        }
    }
}